package com.example.poolallocator;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    static {
        // Please add other libraries used by this activity.
        System.loadLibrary("PoolAllocator");
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Example of a call to a native method
        TextView tv = findViewById(R.id.sample_text);
        tv.setText("");
    }

    public void onClick(View view) {
        TextView tv = findViewById(R.id.sample_text);
        tv.setText(testPoolAllocator());
    }
    public native String testPoolAllocator();
}
